# -*- rpm-spec -*-
# $Id: kernel-fix-build.spec,v 1.17 2005/07/02 16:41:19 vsu Exp $
#

%define  patch_name kernel-fix-build

Name: %patch_name
Version: 2005.07.02
Release: alt1
Summary: %patch_name kernel patch - Linux kernel build fixes
License: GPL
Group: Development/Other
BuildArch: noarch
BuildRequires: kernel-build-tools

Packager: Kernel Maintainers Team <kernel@packages.altlinux.org>

# 2.4 patches
%source  0	2.4_00_mkdep-build-fix.patch		2.4
%source  1	2.4_01_kbd_kern-build-alt.patch		2.4
%source  2	2.4_02_aic7xxx-build-gcc34.patch	2.4

# 2.6 patches
%source 50	2.6_50_aic79xx-build-alt.patch		2.6

%description
This package contains patches with build fixes of Linux kernel.

%install

%install_patches

%files
%_usrsrc/*

%changelog
* Sat Jul 02 2005 Sergey Vlasov <vsu@altlinux.ru> 2005.07.02-alt1
- Updated for kernel 2.6.12.
- Removed obsolete patches:
  - 2.6_51_fix-doc-build.patch

* Mon Mar 14 2005 Sergey Vlasov <vsu@altlinux.ru> 2005.03.14-alt1
- Updated for kernel 2.6.11.
- Added:
  + 2.6_51_fix-doc-build.patch: fix "make htmldocs" failure.

* Wed Jan 26 2005 Sergey Vlasov <vsu@altlinux.ru> 2005.01.26-alt1
- Updated for kernel 2.4.29.
- Added:
  + 2.4_02_aic7xxx-build-gcc34.patch: fix aic7xxx firmware build with
    HOSTCC=gcc-3.4.

* Wed Dec 29 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.12.29-alt1
- Updated for kernel 2.6.10.
- Removed obsolete patches:
  - 2.6_51_no-shared-libkconfig.patch

* Wed Oct 20 2004 Anton Farygin <rider@altlinux.ru> 2004.09.20-alt1
- 2.6_50_aic79xx-build-alt.patch: removed included to mainstream libdb4 usage
- 2.6_51_no-shared-libkconfig.patch: updated for 2.6.9

* Wed Aug 18 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.08.18-alt1
- Spec file cleanup; renamed patches with 2.4_/2.6_ prefixes.
- Added:
  + 2.6_51_no-shared-libkconfig.patch: do not build libkconfig.so shared
    library

* Tue May 11 2004 Anton Farygin <rider@altlinux.ru> 2004.05.11-alt2
- removed 2.6_02-DocBook-buildfix.patch

* Mon Apr 05 2004 Anton Farygin <rider@altlinux.ru> 2004.02.10-alt2
- 2.6_02-DocBook-buildfix.patch - fix building documentations from DocBook

* Tue Feb 10 2004 Anton Farygin <rider@altlinux.ru> 2004.02.10-alt1
- added patches for 2.6 kernel

* Wed Sep 10 2003 Rider <rider@altlinux.ru> 2003.04.23-alt8
- fix for bug #2962 (Lost directory into %_usrsrc)

* Wed Sep 03 2003 Rider <rider@altlinux.ru> 2003.04.23-alt7
- removed aic79xx-build-alt.patch
- removed aic7xxx-build-alt.patch
- added mkdep-build-fix.patch
- added build requires 

* Tue Jul  8 2003 Ed V. Bartosh <ed@sam-solutions.net> 2003.04.23-alt6
- kbd_kern-build-alt.patch added

* Fri Jul  4 2003 Ed V. Bartosh <ed@sam-solutions.net> 2003.04.23-alt5
- spec typos fixed

* Tue Jul  1 2003 Ed V. Bartosh <ed@sam-solutions.net> 2003.04.23-alt4
- spec improvements: using %%source and %%install_patches macros

* Mon Jun 23 2003 Ed V. Bartosh <ed@sam-solutions.net> 2003.04.23-alt3
- aic79xx-build-alt.patch  added

* Thu Jun  5 2003 Ed V. Bartosh <ed@sam-solutions.net> 2003.04.23-alt2
- updated to rc7

* Thu May 22 2003 Peter Novodvorsky <nidd@altlinux.com> 2003.04.23-alt1
- 

* Fri Apr 18 2003 Peter Novodvorsky <nidd@altlinux.com> 2003.04.18-alt1
- new package.

* Sat Apr 12 2003 Peter Novodvorsky <nidd@altlinux.com> 1.0-alt3
- apply patch in cycle so it doesn't run cat|patch if no PATCH_FILES 
  defined. (thanks to ed)

* Mon Mar 31 2003 Peter Novodvorsky <nidd@altlinux.com> 1.0-alt2
- fixed apply script

* Wed Feb 12 2003 Peter Novodvorsky <nidd@myxomop.com> 1.0-alt1
- ptrace security hole patch included

